VkInstanceCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkInstanceCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkInstanceCreateFlags | flags
const VkApplicationInfo * | pApplicationInfo
uint32_t | enabledLayerCount
const char *const * | ppEnabledLayerNames
uint32_t | enabledExtensionCount
const char *const * | ppEnabledExtensionNames

## Detailed Description

Definition at line 1379 of file vulkan.h.

## Field Documentation

## enabledExtensionCount

uint32_t VkInstanceCreateInfo::enabledExtensionCount

Definition at line 1386 of file vulkan.h.

Referenced by createInstance().

## enabledLayerCount

uint32_t VkInstanceCreateInfo::enabledLayerCount

Definition at line 1384 of file vulkan.h.

## flags

VkInstanceCreateFlags VkInstanceCreateInfo::flags

Definition at line 1382 of file vulkan.h.

## pApplicationInfo

const VkApplicationInfo* VkInstanceCreateInfo::pApplicationInfo

Definition at line 1383 of file vulkan.h.

Referenced by createInstance().

## pNext

const void* VkInstanceCreateInfo::pNext

Definition at line 1381 of file vulkan.h.

## ppEnabledExtensionNames

const char* const* VkInstanceCreateInfo::ppEnabledExtensionNames

Definition at line 1387 of file vulkan.h.

Referenced by createInstance().

## ppEnabledLayerNames

const char* const* VkInstanceCreateInfo::ppEnabledLayerNames

Definition at line 1385 of file vulkan.h.

## sType

VkStructureType VkInstanceCreateInfo::sType

Definition at line 1380 of file vulkan.h.

Referenced by createInstance().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h